System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.ServiceDescriptionBaseCollection To be added

Represents a collection of instances of the class. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` To be added

  Adds the specified to the end of the .

  The zero-based index where the parameter has been added.

  The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added

  Returns a value indicating whether the specified is a member of the collection.

  true if the parameter is a member of the ; otherwise, false.

  The for which to check collection membership. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  Copies the entire to a one-dimensional array of type , starting at the specified zero-based index of the target array.

  An array of type serving as the destination of the copy action. The zero-based index at which to start placing the copied collection. 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Description.Binding `` To be added

  Searches the and returns the with the specified name that is a member of one of the instances contained in the collection.

  The binding with the specified name.

  An whose property is used to retrieve a instance. 1.0.5000.0 2.0.0.0
- Method
  System.String `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Description.Message `` To be added

  Searches the and returns the with the specified name that is a member of one of the instances contained in the collection.

  The message with the specified name.

  The , passed by reference, whose property is shared by the returned. 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Description.PortType `` To be added

  Searches the and returns the with the specified name that is a member of one of the instances contained in the collection.

  The PortType with the specified name.

  The , passed by reference, whose property is shared by the returned. 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Description.Service `` To be added

  Searches the and returns the with the specified name that is a member of one of the instances contained in the collection.

  The service with the specified name.

  The , passed by reference, whose property is shared by the returned. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added

  Searches for the specified and returns the zero-based index of the first occurrence within the collection.

  The zero-based index of the specified service description, or -1 if the element was not found in the collection.

  The for which to search in the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  If the number of items in the collection already equals the collection's capacity, the capacity is doubled by automatically reallocating the internal array before the new element is inserted.

  If the parameter is equal to , the parameter is added to the end of the .

  The elements after the insertion point move down to accommodate the new element.

  Adds the specified instance to the at the specified zero-based index.

  The zero-based index at which to insert the parameter. The to add to the collection. 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.ServiceDescription `` To be added: an object of type 'int' To be added To be added: an object of type 'ServiceDescription' To be added 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Web.Services.Description.ServiceDescription `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Void ``

  This method performs a linear search; therefore, the average execution time is proportional to .

  The elements that follow the removed move up to occupy the vacated spot.

  Removes the first occurrence of the specified from the collection.

  The to remove from the collection. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.